Subject: Re: bug#15732: 24.3.50; display-buffer-pop-up-frame working poorly

From: martin rudalics <[email-masked]>
Date: Sun, 27 Oct 2013 17:46:35 +0100

> `display-buffer-pop-up-frame' always returns nil, although the doc says
 > it would return the window of the newly created frame.  E.g. just
 > evaluate from emacs -Q
 >
 >   (display-buffer-pop-up-frame "*Messages*" ())
 >
 >   => nil

`display-buffer-pop-up-frame' expects a buffer as first argument and not
a buffer name.  And `window--display-buffer' returns nil if the BUFFER
argument is not a live buffer.  So this is the intended behavior.

martin